<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5364247">
<title>ONC3/NFS&#8482; 
Administrator's Guide</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5418750">
<title>About This Guide</title>
<section href="pr01.html#id5361076" id="id5361076">
<title>Summary of Contents </title>
<table href="pr01.html#id5361110" id="id5361110">
<title>Table 1. ONC3/NFS Administrator's Guide Chapter Summaries</title>
</table>
</section>
<section href="pr01.html#id5362534" id="id5362534">
<title>What You Should Know</title>
</section>
<section href="pr01.html#id5362602" id="id5362602">
<title>Supplementary Documentation</title>
</section>
<section href="pr01.html#id5362736" id="id5362736">
<title>Typographical Conventions</title>
</section>
<section href="pr01.html#id5362864" id="id5362864">
<title>Product Support</title>
</section>
</preface>
<chapter href="ch01.html" id="id5362884">
<title>Chapter 1. Understanding ONC3/NFS</title>
<section href="ch01.html#id5363465" id="id5363465">
<title>What Is NFS?</title>
<figure href="ch01.html#id5363557" id="id5363557">
<title>Figure 1-1. NFS Software Implementation</title>
</figure>
</section>
<section href="ch01.html#id5363575" id="id5363575">
<title>NFS and Diskless Workstations</title>
</section>
<section href="ch01.html#id5363611" id="id5363611">
<title>NFS and the Network Information Service</title>
</section>
<section href="ch01.html#id5363653" id="id5363653">
<title>The AutoFS File System</title>
<section href="ch01.html#id5363735" id="id5363735">
<title>Simplified autofs Operation</title>
<section href="ch01.html#id5363860" id="id5363860">
<title>How Autofs Navigates Through the Network (Maps) </title>
</section>
</section>
</section>
<section href="ch01.html#id5363907" id="id5363907">
<title>The CacheFS File System</title>
</section>
<section href="ch01.html#id5364005" id="id5364005">
<title>Client-Server Fundamentals</title>
<section href="ch01.html#id5364048" id="id5364048">
<title>Exporting</title>
</section>
<section href="ch01.html#id5435639" id="id5435639">
<title>Mounting</title>
<section href="ch01.html#id5435704" id="id5435704">
<title>Mount Points</title>
<figure href="ch01.html#id5435787" id="id5435787">
<title>Figure 1-2. Sample Mounted Directory</title>
</figure>
</section>
<section href="ch01.html#id5435883" id="id5435883">
<title>Mount Restrictions</title>
</section>
</section>
</section>
<section href="ch01.html#id5436012" id="id5436012">
<title>Automatic Mounting</title>
</section>
<section href="ch01.html#id5436169" id="id5436169">
<title>Stateless Protocol</title>
</section>
<section href="ch01.html#id5436257" id="id5436257">
<title>Input/Output Management</title>
</section>
<section href="ch01.html#id5436315" id="id5436315">
<title>NFS File Locking Service</title>
<section href="ch01.html#id5436434" id="id5436434">
<title>Locking and Crash Recovery</title>
</section>
<section href="ch01.html#id5436516" id="id5436516">
<title>Locking and the Network Status Monitor</title>
</section>
</section>
</chapter>
<chapter href="ch02.html" id="id5436585">
<title>Chapter 2. Planning ONC3/NFS Service</title>
<section href="ch02.html#id5436654" id="id5436654">
<title>The Export Process</title>
<section href="ch02.html#id5436773" id="id5436773">
<title>exportfs Command Options</title>
</section>
<section href="ch02.html#id5436906" id="id5436906">
<title>/etc/exports and Other Export Files</title>
<section href="ch02.html#id5437093" id="id5437093">
<title>/etc/exports Options</title>
</section>
<section href="ch02.html#id5437517" id="id5437517">
<title>Sample /etc/exports File</title>
</section>
</section>
<section href="ch02.html#id5437727" id="id5437727">
<title>Recommendations for Exporting</title>
</section>
</section>
<section href="ch02.html#id5437923" id="id5437923">
<title>The /etc/fstab Mount Process</title>
<section href="ch02.html#id5438015" id="id5438015">
<title>mount and umount Command Options</title>
</section>
<section href="ch02.html#id5438287" id="id5438287">
<title>/etc/fstab and Other Mount Files</title>
<section href="ch02.html#id5438582" id="id5438582">
<title>/etc/fstab Options</title>
</section>
<section href="ch02.html#id5439288" id="id5439288">
<title>Sample /etc/fstab File</title>
</section>
</section>
<section href="ch02.html#id5439418" id="id5439418">
<title>Recommendations for /etc/fstab Mounting</title>
</section>
</section>
<section href="ch02.html#id5439737" id="id5439737">
<title>The Automatic Mounters</title>
<section href="ch02.html#id5439665" id="id5439665">
<title>automount Command Options</title>
</section>
<section href="ch02.html#id5441263" id="id5441263">
<title>autofsd and autofs Command Options</title>
</section>
<section href="ch02.html#id5441342" id="id5441342">
<title>Automatic Mounter Files and Maps</title>
<section href="ch02.html#id5441446" id="id5441446">
<title>automount Files and Maps</title>
</section>
<section href="ch02.html#id5441674" id="id5441674">
<title>automount Mount Points</title>
</section>
<section href="ch02.html#id5441890" id="id5441890">
<title>autofs Files and Maps</title>
</section>
<section href="ch02.html#id5442105" id="id5442105">
<title>autofs Mount Points</title>
</section>
</section>
<section href="ch02.html#id5442221" id="id5442221">
<title>Automatic Mount Map Types</title>
<section href="ch02.html#id5442321" id="id5442321">
<title>Master Maps</title>
</section>
<section href="ch02.html#id5442643" id="id5442643">
<title>Direct Maps</title>
</section>
<section href="ch02.html#id5442810" id="id5442810">
<title>Indirect Maps</title>
</section>
</section>
<section href="ch02.html#id5443069" id="id5443069">
<title>Recommendations for Automatic Mounting</title>
</section>
</section>
<section href="ch02.html#id5362509" id="id5362509">
<title>The CacheFS File System</title>
<section href="ch02.html#id5443575" id="id5443575">
<title>Command and File Options for CacheFS</title>
<section href="ch02.html#id5443662" id="id5443662">
<title>mount and umount</title>
</section>
<section href="ch02.html#id5443736" id="id5443736">
<title>/etc/fstab</title>
</section>
<section href="ch02.html#id5444256" id="id5444256">
<title>Consistency Checking mount Options for fstab</title>
<table href="ch02.html#id5444309" id="id5444309">
<title>Table 2-1. Consistency Checking Arguments for the -o mount Option</title>
</table>
</section>
<section href="ch02.html#id5444643" id="id5444643">
<title>cfsadmin Command</title>
</section>
<section href="ch02.html#id5445081" id="id5445081">
<title>Cache Resource Parameters</title>
<table href="ch02.html#id5445121" id="id5445121">
<title>Table 2-2. CacheFS Parameters</title>
</table>
<table href="ch02.html#id5445268" id="id5445268">
<title>Table 2-3. Default Values of Cache Parameters</title>
</table>
</section>
<section href="ch02.html#id5445570" id="id5445570">
<title>cfsstat Command</title>
</section>
</section>
<section href="ch02.html#id5445595" id="id5445595">
<title>CacheFS Tunable Parameters</title>
<table href="ch02.html#id5445688" id="id5445688">
<title>Table 2-4. CacheFS Tunable Parameters</title>
</table>
<table href="ch02.html#id5445804" id="id5445804">
<title>Table 2-5. CacheFS Tunable Parameter Values</title>
</table>
</section>
</section>
</chapter>
<chapter href="ch03.html" id="id5445940">
<title>Chapter 3. Using Automatic Mounter Map Options</title>
<section href="ch03.html#id5446086" id="id5446086">
<title>Including Group Mounts in Maps</title>
</section>
<section href="ch03.html#id5446306" id="id5446306">
<title>Using Hierarchical Formats in Group Mounts</title>
</section>
<section href="ch03.html#id5446552" id="id5446552">
<title>Specifying Alternative Servers</title>
</section>
<section href="ch03.html#id5446748" id="id5446748">
<title>Using Metacharacters</title>
<section href="ch03.html#id5446810" id="id5446810">
<title>The Ampersand (&amp;)</title>
</section>
<section href="ch03.html#id5447004" id="id5447004">
<title>The Asterisk (*)</title>
</section>
<section href="ch03.html#id5447090" id="id5447090">
<title>The Backslash (\)</title>
</section>
<section href="ch03.html#id5447175" id="id5447175">
<title>Double Quotation Marks (&quot;)</title>
</section>
</section>
<section href="ch03.html#id5447238" id="id5447238">
<title>Using Environment Variables</title>
</section>
<section href="ch03.html#id5447426" id="id5447426">
<title>Including Supplementary Maps</title>
</section>
</chapter>
<chapter href="ch04.html" id="id5447576">
<title>Chapter 4. Setting Up and Testing ONC3/NFS</title>
<section href="ch04.html#id5447758" id="id5447758">
<title>Setting Up the NFS Server</title>
</section>
<section href="ch04.html#id5448611" id="id5448611">
<title>Setting Up an NFS Client</title>
</section>
<section href="ch04.html#id5449337" id="id5449337">
<title>Setting Up the Automatic Mounters</title>
<section href="ch04.html#id5449387" id="id5449387">
<title>Setting Up a Default Automatic Mounter Environment </title>
</section>
<section href="ch04.html#id5449901" id="id5449901">
<title>Setting Up a Custom Automatic Mounter Environment</title>
<section href="ch04.html#id5449958" id="id5449958">
<title>Step 1: Creating the Maps</title>
</section>
<section href="ch04.html#id5450301" id="id5450301">
<title>Step 2: Starting the Automatic Mounter Program</title>
</section>
<section href="ch04.html#id5450685" id="id5450685">
<title>Step 3: Verifying the Automatic Mounter Process</title>
</section>
<section href="ch04.html#id5451101" id="id5451101">
<title>Step 4: Testing the Automatic Mounter</title>
</section>
</section>
</section>
<section href="ch04.html#id5451380" id="id5451380">
<title>Setting Up the Lock Manager</title>
</section>
<section href="ch04.html#id5451869" id="id5451869">
<title>Setting Up the CacheFS File System</title>
<section href="ch04.html#id5452095" id="id5452095">
<title>Front File System Requirements</title>
</section>
<section href="ch04.html#id5452140" id="id5452140">
<title>Setting Up a Cached File System</title>
</section>
<section href="ch04.html#id5452221" id="id5452221">
<title>Creating a Cache</title>
</section>
<section href="ch04.html#id5452380" id="id5452380">
<title>Setting Cache Parameters</title>
</section>
</section>
<section href="ch04.html#id5452602" id="id5452602">
<title>Mounting a Cached File System</title>
<section href="ch04.html#id5452677" id="id5452677">
<title>Using mount to Mount a Cached File System</title>
<section href="ch04.html#id5452758" id="id5452758">
<title>Mounting a Cached File System That Is Already Mounted</title>
</section>
<section href="ch04.html#id5452834" id="id5452834">
<title>Mounting a CD-ROM as a Cached File System</title>
</section>
</section>
</section>
</chapter>
<chapter href="ch05.html" id="id5452994">
<title>Chapter 5. Maintaining ONC3/NFS</title>
<section href="ch05.html#id5453152" id="id5453152">
<title>Changing the Number of NFS Server Daemons</title>
</section>
<section href="ch05.html#id5453398" id="id5453398">
<title>Temporary NFS Mounting</title>
</section>
<section href="ch05.html#id5453508" id="id5453508">
<title>Modifying the Automatic Mounter Maps</title>
<section href="ch05.html#id5453590" id="id5453590">
<title>Modifying the Master Map</title>
</section>
<section href="ch05.html#id5453702" id="id5453702">
<title>Modifying Indirect Maps</title>
</section>
<section href="ch05.html#id5453735" id="id5453735">
<title>Modifying Direct Maps</title>
</section>
</section>
<section href="ch05.html#id5453986" id="id5453986">
<title>Mount Point Conflicts</title>
</section>
<section href="ch05.html#id5454201" id="id5454201">
<title>Modifying CacheFS File System Parameters</title>
<section href="ch05.html#id5454288" id="id5454288">
<title>Displaying Information About Cached File Systems</title>
</section>
</section>
<section href="ch05.html#id5454479" id="id5454479">
<title>Deleting a CacheFS File System</title>
</section>
</chapter>
<chapter href="ch06.html" id="id5454640">
<title>Chapter 6. Troubleshooting ONC3/NFS</title>
<section href="ch06.html#id5454803" id="id5454803">
<title>General Recommendations</title>
</section>
<section href="ch06.html#id5454954" id="id5454954">
<title>Understanding the Mount Process</title>
</section>
<section href="ch06.html#id5455499" id="id5455499">
<title>Identifying the Point of Failure</title>
<section href="ch06.html#id5455516" id="id5455516">
<title>Checking Out a Server</title>
</section>
<section href="ch06.html#id5455715" id="id5455715">
<title>Checking Out a Client</title>
</section>
<section href="ch06.html#id5455844" id="id5455844">
<title>Checking Out the Network</title>
</section>
</section>
<section href="ch06.html#id5455907" id="id5455907">
<title>Troubleshooting NFS Common Failures</title>
<section href="ch06.html#id5455941" id="id5455941">
<title>Remote Mount Failed</title>
</section>
<section href="ch06.html#id5456029" id="id5456029">
<title>Programs Do Not Respond</title>
</section>
<section href="ch06.html#id5456145" id="id5456145">
<title>Hangs Partway Through Boot</title>
</section>
<section href="ch06.html#id5456202" id="id5456202">
<title>Everything Works Slowly</title>
</section>
<section href="ch06.html#id5456461" id="id5456461">
<title>Cannot Access Remote Devices</title>
</section>
</section>
<section href="ch06.html#id5456478" id="id5456478">
<title>Understanding the automount Process</title>
<section href="ch06.html#id5456530" id="id5456530">
<title>System Startup</title>
</section>
<section href="ch06.html#id5456688" id="id5456688">
<title>Mounting</title>
</section>
<section href="ch06.html#id5456734" id="id5456734">
<title>The Effect of Map Types</title>
</section>
</section>
<section href="ch06.html#id5456831" id="id5456831">
<title>Understanding the autofs Process</title>
</section>
<section href="ch06.html#id5456971" id="id5456971">
<title>Troubleshooting CacheFS</title>
</section>
</chapter>
<appendix href="apa.html" id="id5457314">
<title>Appendix A. ONC3/NFS Error Messages</title>
<section href="apa.html#id5457406" id="id5457406">
<title>mount Error Messages</title>
</section>
<section href="apa.html#id5458454" id="id5458454">
<title>Verbose automount and autofs Error Messages</title>
</section>
<section href="apa.html#id5459068" id="id5459068">
<title>General automount and autofs Error Messages</title>
<section href="apa.html#id5459118" id="id5459118">
<title>automount Only Error Messages</title>
</section>
<section href="apa.html#id5459210" id="id5459210">
<title>automount and autofs Error Messages</title>
</section>
</section>
<section href="apa.html#id5460310" id="id5460310">
<title>General CacheFS Errors</title>
<section href="apa.html#id5460344" id="id5460344">
<title>cfsadmin Error Messages</title>
</section>
<section href="apa.html#id5461657" id="id5461657">
<title>mount_cachefs Error Messages</title>
</section>
<section href="apa.html#id5461943" id="id5461943">
<title>umount_cachefs Error Messages</title>
</section>
</section>
</appendix>
<index href="ix01.html" id="ix">
<title>Index</title>
</index>
</book>
</toc>
